#define _CONFIG_H

#include <stdlib.h>
#include <stdint.h>
#include <errno.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/uio.h>

#include <glusterfs/logging.h>
#include <glusterfs/api/glfs.h>
#include <glusterfs/api/glfs-handles.h>

int main(void) {
    int i;
    for (i = 0; i < 1000; i++) {
        printf("Creating virtual mount #%d\n", i);

        glfs_t *fs = glfs_new("vol");
        if (fs == NULL) exit(errno);

        int r = glfs_set_logging(fs, "/var/log/libgfapi.log", 2);
        if (r != 0) exit(errno);

        r = glfs_set_volfile_server(fs, "tcp", "127.0.0.1", 0);
        if (r != 0) exit(errno);

        r = glfs_init(fs);
        if (r != 0) exit(errno);

        printf("Created virtual mount #%d\n", i);
    }

    exit(0);
}
